textures/marsbase/e8tinylight
{
	qer_editorimage textures/marsbase/e8tinylight.tga
	q3map_lightimage textures/marsbase/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map textures/marsbase/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/marsbase/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/marsbase/caulk
{
	qer_editorimage textures/marsbase/caulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/marsbase/e6metalfan
{
	qer_editorimage textures/marsbase/e6metalfan.tga
	{
		map textures/marsbase/e6metalfan_blade.tga
		tcMod rotate 1000
	}
	{
		map textures/marsbase/e6metalfan.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/marsbase/e6bsegrtflr256
{
	qer_editorimage textures/marsbase/e6bsegrtflr256.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/marsbase/e6bsegrtflr256.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/marsbase/scratchglass
{
	qer_editorimage textures/marsbase/scratchglass.tga
	surfaceparm nomarks
	surfaceparm trans
	cull back
	qer_trans 0.5
	{
		map textures/marsbase/scratchglass.tga
		blendfunc add
		rgbGen const ( 0.1 0.1 0.1 )
		tcGen lightmap 
	}
}

textures/marsbase/f_full_clip
{
	qer_editorimage textures/marsbase/f_full_clip.tga
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm trans
	cull back
	qer_trans 0.4
}

textures/marsbase/f_nodraw
{
	qer_editorimage textures/marsbase/f_nodraw.tga
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.4
}

//**********************************************************************//
//									//
//	Mars.shader for Q3Radiant					//
//	by Sock - 1st August 2000					//
//									//
//**********************************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
textures/marsbase/mars_view
{
	qer_editorimage textures/marsbase/mars_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightsubdivide 256
	q3map_surfacelight 75
	q3map_globaltexture
	q3map_sun 4 3 3 150 135 50
	skyParms env/mars/mars 128 -
}

textures/marsbase/hint
{
	qer_editorimage textures/marsbase/hint.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm hint
	qer_nocarve
	qer_trans 0.3
}

textures/marsbase/grey_lt_ladder
{
	qer_editorimage textures/marsbase/c_greylt.tga
	surfaceparm ladder
}

